Skip to main content
POST
/
v2
/
annotation-configs
Create an annotation config
curl --request POST \
  --url https://api.arize.com/v2/annotation-configs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Accuracy",
  "space_id": "space_12345",
  "annotation_config_type": "categorical",
  "values": [
    {
      "label": "accurate",
      "score": 1
    },
    {
      "label": "inaccurate",
      "score": 0
    }
  ],
  "optimization_direction": "maximize"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "space_id": "<string>",
  "type": "continuous",
  "minimum_score": 123,
  "maximum_score": 123,
  "optimization_direction": "maximize"
}

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Body

application/json

Body containing annotation config creation parameters

The base annotation config creation parameters

name
string
required

Name of the new annotation config

space_id
string
required

ID of the space the annotation config will belong to

annotation_config_type
enum<string>
required

The type of the annotation config

Available options:
continuous
minimum_score
number<double>
required

The minimum score value

maximum_score
number<double>
required

The maximum score value

optimization_direction
enum<string>

The direction for optimization:

  • maximize: higher scores are better
  • minimize: lower scores are better
  • none: higher or lower scores are neither better nor worse
Available options:
maximize,
minimize,
none

Response

An annotation config object

id
string
required

The unique identifier for the annotation config

name
string
required

The name of the annotation config

created_at
string<date-time>
required

The timestamp for when the annotation config was created

space_id
string
required

The space id the annotation config belongs to

type
enum<string>
required

The type of the annotation config

Available options:
continuous
minimum_score
number<double>
required

The minimum score value

maximum_score
number<double>
required

The maximum score value

optimization_direction
enum<string>

The direction for optimization:

  • maximize: higher scores are better
  • minimize: lower scores are better
  • none: higher or lower scores are neither better nor worse
Available options:
maximize,
minimize,
none